org.apache.ignite.internal.processors.query.schema

## Interface SchemaChangeListener

    public interface SchemaChangeListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onFunctionCreated(String schemaName, String name, Method method)` Callback on function creation.
`void` `onIndexCreated(String schemaName, String tblName, String idxName, GridQueryIndexDescriptor idxDesc, @Nullable Index idx)` Callback on index creation.
`void` `onIndexDropped(String schemaName, String tblName, String idxName)` Callback on index drop.
`void` `onIndexRebuildFinished(String schemaName, String tblName)` Callback on index rebuild finished for all indexes in the table.
`void` `onIndexRebuildStarted(String schemaName, String tblName)` Callback on index rebuild started for all indexes in the table.
`void` `onSchemaCreated(String schemaName)` Callback method.
`void` `onSchemaDropped(String schemaName)` Callback method.
`void` `onSqlTypeCreated(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo)` Callback method.
`void` `onSqlTypeDropped(String schemaName, GridQueryTypeDescriptor typeDesc)` Callback method.
`void` `onSqlTypeUpdated(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo)` Callback method.
`void` `onSystemViewCreated(String schemaName, SystemView<?> sysView)` Callback method.

### Method Detail

#### onSchemaCreated

    void onSchemaCreated(String schemaName)

Callback method.

Parameters:
  `schemaName` - Schema name.

#### onSchemaDropped

    void onSchemaDropped(String schemaName)

Callback method.

Parameters:
  `schemaName` - Schema name.

#### onSqlTypeCreated

    void onSqlTypeCreated(String schemaName,
                          GridQueryTypeDescriptor typeDesc,
                          GridCacheContextInfo<?,?> cacheInfo)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.

#### onSqlTypeUpdated

    void onSqlTypeUpdated(String schemaName,
                          GridQueryTypeDescriptor typeDesc,
                          GridCacheContextInfo<?,?> cacheInfo)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.

#### onSqlTypeDropped

    void onSqlTypeDropped(String schemaName,
                          GridQueryTypeDescriptor typeDesc)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.

#### onIndexCreated

    void onIndexCreated(String schemaName,
                        String tblName,
                        String idxName,
                        GridQueryIndexDescriptor idxDesc,
                        @Nullable
                        @Nullable Index idx)

Callback on index creation.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `idxName` - Index name.
  `idxDesc` - Index descriptor.
  `idx` - Index.

#### onIndexDropped

    void onIndexDropped(String schemaName,
                        String tblName,
                        String idxName)

Callback on index drop.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `idxName` - Index name.

#### onIndexRebuildStarted

    void onIndexRebuildStarted(String schemaName,
                               String tblName)

Callback on index rebuild started for all indexes in the table.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.

#### onIndexRebuildFinished

    void onIndexRebuildFinished(String schemaName,
                                String tblName)

Callback on index rebuild finished for all indexes in the table.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.

#### onFunctionCreated

    void onFunctionCreated(String schemaName,
                           String name,
                           Method method)

Callback on function creation.

Parameters:
  `schemaName` - Schema name.
  `name` - Function name.
  `method` - Public static method, implementing this function.

#### onSystemViewCreated

    void onSystemViewCreated(String schemaName,
                             SystemView<?> sysView)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `sysView` - System view.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022